Bug 133395 - [NEW PORT]math/mpc:Library of complex numbers with arbitrarily high precision
[NEW PORT]math/mpc:Library of complex numbers with arbitrarily high precision
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-05 16:20 UTC by wenheping
Modified: 2009-04-11 09:20 UTC (History)
0 users

See Also:


Attachments
file.shar (2.36 KB, text/plain)
2009-04-05 16:20 UTC, wenheping
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description wenheping 2009-04-05 16:20:01 UTC
Mpc is a C library for the arithmetic of complex numbers with
arbitrarily high precision and correct rounding of the result.
It is built upon and follows the same principles as Mpfr. The
library is written by Andreas Enge, Philippe Theveny and Paul
Zimmermann and is distributed under the Gnu Lesser General Public
License, either version 2.1 of the license, or (at your option)
any later version. The Mpc library has been registered in France
by the Agence pour la Protection des Programmes on 2003-02-05
under the number IDDN FR 001 060029 000 R P 2003 000 10000.

WWW: http://www.multiprecision.org/

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-04-05 16:20:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2009-04-11 09:16:14 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 3 dfilter freebsd_committer 2009-04-11 09:16:41 UTC
miwi        2009-04-11 08:16:27 UTC

  FreeBSD ports repository

  Modified files:
    math                 Makefile 
  Added files:
    math/mpc             Makefile distinfo pkg-descr pkg-plist 
  Log:
  Mpc is a C library for the arithmetic of complex numbers with
  arbitrarily high precision and correct rounding of the result.
  It is built upon and follows the same principles as Mpfr. The
  library is written by Andreas Enge, Philippe Theveny and Paul
  Zimmermann and is distributed under the Gnu Lesser General Public
  License, either version 2.1 of the license, or (at your option)
  any later version. The Mpc library has been registered in France
  by the Agence pour la Protection des Programmes on 2003-02-05
  under the number IDDN FR 001 060029 000 R P 2003 000 10000.
  
  WWW: http://www.multiprecision.org/
  
  PR:             ports/133395
  Submitted by:   Wen Heping <wenheping at gmail.com>
  
  Revision  Changes    Path
  1.591     +1 -0      ports/math/Makefile
  1.1       +29 -0     ports/math/mpc/Makefile (new)
  1.1       +3 -0      ports/math/mpc/distinfo (new)
  1.1       +11 -0     ports/math/mpc/pkg-descr (new)
  1.1       +5 -0      ports/math/mpc/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"